Package org.apache.aries.jax.rs.whiteboard.internal

## Class ServiceReferenceFilteredPublisher

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.ServiceReferenceFilteredPublisher

All Implemented Interfaces:
  `AutoCloseable`

    public class ServiceReferenceFilteredPublisher
    extends Object
    implements AutoCloseable

### Constructor Summary

Constructors
`ServiceReferenceFilteredPublisher​(org.apache.aries.component.dsl.Publisher<? super org.apache.aries.component.dsl.CachingServiceReference<?>> publisher, org.osgi.framework.Filter filter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `publishIfMatched​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`
`void` `retractIfMatched​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceReferenceFilteredPublisher

    public ServiceReferenceFilteredPublisher​(org.apache.aries.component.dsl.Publisher<? super org.apache.aries.component.dsl.CachingServiceReference<?>> publisher,
                                             org.osgi.framework.Filter filter)

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`

#### publishIfMatched

    public void publishIfMatched​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)

#### retractIfMatched

    public void retractIfMatched​(org.apache.aries.component.dsl.CachingServiceReference<?> serviceReference)